Upstream information

CVE-2017-9274 at MITRE

Description

A shell command injection in the obs-service-source_validator before 0.7 could be used to execute code as the packager when checking RPM SPEC files with specific macro constructs.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 938556 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • build >= 20171128-8.3.3
  • osc >= 0.162.1-7.4.1
Patchnames:
sdksp4-build-13404
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • build >= 20171128-9.3.2
  • build-initvm-s390 >= 20171128-9.3.2
  • build-initvm-x86_64 >= 20171128-9.3.2
  • build-mkbaselibs >= 20171128-9.3.2
  • obs-service-source_validator >= 0.7-9.3.1
  • osc >= 0.162.0-15.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-2028
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • build >= 20171128-9.3.2
  • build-initvm-s390 >= 20171128-9.3.2
  • build-initvm-x86_64 >= 20171128-9.3.2
  • build-mkbaselibs >= 20171128-9.3.2
  • obs-service-source_validator >= 0.7-9.3.1
  • osc >= 0.162.0-15.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-2028
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • obs-service-source_validator >= 0.7-9.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA obs-service-source_validator-0.7-9.3.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • build >= 20171128-9.3.2
  • build-initvm-s390 >= 20171128-9.3.2
  • build-initvm-x86_64 >= 20171128-9.3.2
  • build-mkbaselibs >= 20171128-9.3.2
  • obs-service-source_validator >= 0.7-9.3.1
  • osc >= 0.162.0-15.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA build-20190128-9.6.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA obs-service-source_validator-0.7-9.3.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA osc-0.162.1-15.6.1
openSUSE Tumbleweed
  • obs-service-source_validator >= 0.21-1.3
Patchnames:
openSUSE Tumbleweed GA obs-service-source_validator-0.21-1.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 build Not affected
SUSE Linux Enterprise Desktop 15 SP5 build Not affected
SUSE Linux Enterprise Desktop 15 SP6 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP6 build Not affected
SUSE Linux Enterprise Server 12 SP5 build Released
SUSE Linux Enterprise Server 12 SP5 obs-service-source_validator Released
SUSE Linux Enterprise Server 12 SP5 osc Released
SUSE Linux Enterprise Server 15 SP5 build Not affected
SUSE Linux Enterprise Server 15 SP6 build Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 build Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 obs-service-source_validator Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 osc Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 build Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 build Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 build Released
SUSE Linux Enterprise Software Development Kit 12 SP5 obs-service-source_validator Released
SUSE Linux Enterprise Software Development Kit 12 SP5 osc Released
SUSE Manager Proxy 4.3 build Not affected
SUSE Manager Retail Branch Server 4.3 build Not affected
SUSE Manager Server 4.3 build Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 build Not affected
SUSE Linux Enterprise Server 15 SP2 build Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS build Not affected
SUSE Linux Enterprise Server 15 SP3 build Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS build Not affected
SUSE Linux Enterprise Server 15 SP4 build Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS build Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 build Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 build Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 build Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 build Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 build Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 build Not affected
SUSE CaaS Platform 4.5 build Not affected
SUSE Enterprise Storage 6 build Not affected
SUSE Enterprise Storage 7 build Not affected
SUSE Linux Enterprise Desktop 11 SP4 build Released
SUSE Linux Enterprise Desktop 11 SP4 osc Released
SUSE Linux Enterprise Desktop 12 build Affected
SUSE Linux Enterprise Desktop 12 obs-service-source_validator Affected
SUSE Linux Enterprise Desktop 12 SP1 build Affected
SUSE Linux Enterprise Desktop 12 SP1 obs-service-source_validator Affected
SUSE Linux Enterprise Desktop 12 SP2 build Released
SUSE Linux Enterprise Desktop 12 SP2 obs-service-source_validator Released
SUSE Linux Enterprise Desktop 12 SP2 osc Released
SUSE Linux Enterprise Desktop 12 SP3 build Released
SUSE Linux Enterprise Desktop 12 SP3 obs-service-source_validator Released
SUSE Linux Enterprise Desktop 12 SP3 osc Released
SUSE Linux Enterprise Desktop 12 SP4 build Affected
SUSE Linux Enterprise Desktop 12 SP4 obs-service-source_validator Affected
SUSE Linux Enterprise Desktop 15 build Not affected
SUSE Linux Enterprise Desktop 15 SP1 build Not affected
SUSE Linux Enterprise Desktop 15 SP2 build Not affected
SUSE Linux Enterprise Desktop 15 SP3 build Not affected
SUSE Linux Enterprise High Performance Computing 15 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS build Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS build Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS build Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS build Not affected
SUSE Linux Enterprise Module for Development Tools 15 build Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 build Not affected
SUSE Linux Enterprise Real Time 15 SP2 build Not affected
SUSE Linux Enterprise Real Time 15 SP3 build Not affected
SUSE Linux Enterprise Real Time 15 SP4 build Not affected
SUSE Linux Enterprise Server 11 SP4 build Released
SUSE Linux Enterprise Server 11 SP4 osc Released
SUSE Linux Enterprise Server 12 build Affected
SUSE Linux Enterprise Server 12 obs-service-source_validator Affected
SUSE Linux Enterprise Server 12 SP1 build Affected
SUSE Linux Enterprise Server 12 SP1 obs-service-source_validator Affected
SUSE Linux Enterprise Server 12 SP2 build Released
SUSE Linux Enterprise Server 12 SP2 obs-service-source_validator Released
SUSE Linux Enterprise Server 12 SP2 osc Released
SUSE Linux Enterprise Server 12 SP3 build Released
SUSE Linux Enterprise Server 12 SP3 obs-service-source_validator Released
SUSE Linux Enterprise Server 12 SP3 osc Released
SUSE Linux Enterprise Server 12 SP4 build Affected
SUSE Linux Enterprise Server 12 SP4 obs-service-source_validator Affected
SUSE Linux Enterprise Server 15 build Not affected
SUSE Linux Enterprise Server 15 SP1 build Not affected
SUSE Linux Enterprise Server 15 SP1-BCL build Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS build Not affected
SUSE Linux Enterprise Server 15 SP2-BCL build Not affected
SUSE Linux Enterprise Server 15 SP3-BCL build Not affected
SUSE Linux Enterprise Server 15-LTSS build Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 build Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 osc Released
SUSE Linux Enterprise Server for SAP Applications 12 build Affected
SUSE Linux Enterprise Server for SAP Applications 12 obs-service-source_validator Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 build Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 obs-service-source_validator Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 build Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 obs-service-source_validator Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 osc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 build Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 obs-service-source_validator Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 osc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 build Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 obs-service-source_validator Affected
SUSE Linux Enterprise Server for SAP Applications 15 build Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 build Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 build Released
SUSE Linux Enterprise Software Development Kit 11 SP4 osc Released
SUSE Linux Enterprise Software Development Kit 12 build Affected
SUSE Linux Enterprise Software Development Kit 12 obs-service-source_validator Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 build Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 obs-service-source_validator Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 build Released
SUSE Linux Enterprise Software Development Kit 12 SP2 obs-service-source_validator Released
SUSE Linux Enterprise Software Development Kit 12 SP2 osc Released
SUSE Linux Enterprise Software Development Kit 12 SP3 build Released
SUSE Linux Enterprise Software Development Kit 12 SP3 obs-service-source_validator Released
SUSE Linux Enterprise Software Development Kit 12 SP3 osc Released
SUSE Linux Enterprise Software Development Kit 12 SP4 build Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 obs-service-source_validator Affected
SUSE Manager Proxy 4.0 build Not affected
SUSE Manager Proxy 4.1 build Not affected
SUSE Manager Proxy 4.2 build Not affected
SUSE Manager Retail Branch Server 4.0 build Not affected
SUSE Manager Retail Branch Server 4.1 build Not affected
SUSE Manager Retail Branch Server 4.2 build Not affected
SUSE Manager Server 4.0 build Not affected
SUSE Manager Server 4.1 build Not affected
SUSE Manager Server 4.2 build Not affected


SUSE Timeline for this CVE

CVE page created: Fri Jul 17 14:46:27 2015
CVE page last modified: Wed May 22 17:24:59 2024